Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.xml
Interface CauchoDocument

All Superinterfaces:
  CauchoNode, Document, Node

public interface CauchoDocument
extends Document, CauchoNode

CauchoDocument extends the DOM, providing namespaces

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`Attr` | `createAttribute(java.lang.String prefix, java.lang.String local, java.lang.String url)` Creates a namespace-aware attribute
`Element` | `createElement(java.lang.String prefix, java.lang.String local, java.lang.String url)` Creates a namespace-aware element
`Text` | `createUnescapedTextNode(java.lang.String text)`

Methods inherited from interface org.w3c.dom.Document
`createAttribute, createCDATASection, createComment, createDocumentFragment, createElement, createEntityReference, createProcessingInstruction, createTextNode, getDoctype, getDocumentElement, getElementsByTagName, getImplementation`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPreviousSibling, hasChildNodes, insertBefore, removeChild, replaceChild, setNodeValue`

Methods inherited from interface com.caucho.xml.CauchoNode
`checkValid, getCanonicalName, getColumn, getFilename, getLine, getLocalName, getNamespace, getPrefixName, getTextValue, print, printHtml, printPretty, setLocation`

Method Detail

### createElement

    public Element createElement(java.lang.String prefix,
                                 java.lang.String local,
                                 java.lang.String url)

  Creates a namespace-aware element

### createAttribute

    public Attr createAttribute(java.lang.String prefix,
                                java.lang.String local,
                                java.lang.String url)

  Creates a namespace-aware attribute

### createUnescapedTextNode

    public Text createUnescapedTextNode(java.lang.String text)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD